## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream broke test imports
%bcond_with     tests

%global         srcname     google-cloud-bigtable
%global         forgeurl    https://github.com/googleapis/python-bigtable
Version:        2.21.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Bigtable API

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Google Cloud Bigtable is Google's NoSQL Big Data database service.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary scripts.
rm -f %{buildroot}%{_bindir}/fixup_bigtable*.py


%check
%pyproject_check_import

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_bigtable-%{version}-py%{python3_version}-nspkg.pth


%changelog
## START: Generated by rpmautospec
* Wed Aug 09 2023 Major Hayden <major@redhat.com> - 2.21.0-1
- Update to 2.21.0

* Wed Aug 09 2023 Major Hayden <major@redhat.com> - 2.20.0-2
- Add packit config

* Wed Jul 19 2023 Major Hayden <major@redhat.com> - 2.20.0-1
- Update to 2.20.0 rhbz#2224055

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 2.19.0-2
- Rebuilt for Python 3.12

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 2.19.0-1
- Update to 2.19.0 rhbz#2213661

* Tue May 16 2023 Major Hayden <major@redhat.com> - 2.18.1-1
- Update to 2.18.1 rhbz#2207626

* Thu May 11 2023 Major Hayden <major@redhat.com> - 2.18.0-1
- Update to 2.18.0 rhbz#2198975

* Fri Mar 03 2023 Major Hayden <major@redhat.com> - 2.17.0-1
- Update to 2.17.0 rhbz#2174496

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 2.16.0-1
- Update to 2.16.0 rhbz#2174164

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 2.15.0-1
- Update to 2.15.0

* Mon Feb 20 2023 Major Hayden <major@redhat.com> - 2.14.1-4
- Check imports

* Mon Feb 20 2023 Major Hayden <major@redhat.com> - 2.14.1-3
- Disable tests temporarily to fix FTBFS

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 07 2022 Major Hayden <major@redhat.com> - 2.14.1-1
- Update to 2.14.1 rhbz#2150162

* Fri Oct 21 2022 Major Hayden <major@redhat.com> - 2.13.2-1
- Update to 2.13.2 rhbz#2136613

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 2.13.1-1
- Update to 2.13.1 rhbz#2131871

* Mon Sep 26 2022 fkolwa <fkolwa@redhat.com> - 2.12.0-1
- Update to 2.12.0 rhbz#2128917

* Thu Aug 18 2022 Major Hayden <major@redhat.com> - 2.11.3-1
- Update to 2.11.3 rhbz#2119218

* Wed Aug 17 2022 Major Hayden <major@redhat.com> - 2.11.2-1
- Update to 2.11.2 rhbz#2119197

* Mon Aug 08 2022 Major Hayden <major@redhat.com> - 2.11.1-1
- Update to 2.11.1 rhbz#2116553

* Fri Aug 05 2022 Major Hayden <major@redhat.com> - 2.11.0-1
- Update to 2.11.0 rhbz#2115555

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 2.10.1-2
- Rebuilt for Python 3.11

* Wed Jun 15 2022 Major Hayden <major@redhat.com> - 2.10.1-1
- Update to 2.10.1

* Tue May 31 2022 Major Hayden 🤠 <major@redhat.com> - 2.10.0-1
- Update to 2.10.0

* Thu Apr 14 2022 Major Hayden <major@mhtx.net> - 2.9.0-1
- Update to 2.9.0

* Fri Apr 08 2022 Major Hayden <major@mhtx.net> - 2.8.1-1
- 🚀 Update to 2.8.1

* Wed Apr 06 2022 Major Hayden <major@mhtx.net> - 2.8.0-1
- 🚀 Update to 2.8.0

* Sat Mar 19 2022 Major Hayden <major@mhtx.net> - 2.7.1-1
- Update to 2.7.1

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> - 2.7.0-1
- Update to 2.7.0

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> - 2.6.0-1
- Update to 2.6.0

* Mon Feb 28 2022 Major Hayden <major@mhtx.net> - 2.5.2-1
- Update 2.5.2

* Mon Feb 21 2022 Major Hayden <major@mhtx.net> - 2.5.1-1
- Update to 2.5.1

* Mon Feb 07 2022 Major Hayden <major@mhtx.net> - 2.5.0-1
- Update to 2.5.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> - 2.4.0-1
- Initial import (#1998651)
## END: Generated by rpmautospec
